/**
 * <copyright>
 * </copyright>
 *
 * $Id: RenderedObjectSetValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.analysis.informationvisualization.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.informationvisualization.Rendering;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.informationvisualization.RenderedObjectSet}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RenderedObjectSetValidator {
	boolean validate();

	boolean validateRendering(EList<Rendering> value);
}
